#!/bin/sh
#	Generate model for full solution and upper bound.
#------------------------------------------------------------
#	Remember 1/beta is power-law slope of ti.  So smaller beta
#	here means steeper the power-law slope.  We must reduce beta and alpha
#	together to give balanced shape.
#
#	-p -s normalises it to a pdf and generates a straight line.
#
OPTP="-p -s -f"
./recurN.pl  -beta 0.8 -alpha 4 -timax 5000 $OPTP	> generateModelPDF_combined.dat
echo										>> generateModelPDF_combined.dat
echo										>> generateModelPDF_combined.dat

cat	generateModelPDF_combined.gnu | sed 's/XRANGE/100/g' | sed 's/YRANGE/0.03/g'	> temp$$.gnu
gnuplot	temp$$.gnu
mv	generateModelPDF_combined.eps Fig2.eps

rm -f temp$$.gnu
