#!/bin/sh
#	Make the Software "domains".
#
#	Revision:	$Revision: 1.3 $
#	Date:	$Date: 2017/01/22 19:51:27 $
#-------------------------------------------------------
echo "Preparing individual eps files for Figure 6 ....."
echo

for LANGUAGE in c java f ada
do
	cat ${LANGUAGE}_ti.raw	| sort -n | uniq -c					> temp$$.dat
	echo "#x, "											> pdf_${LANGUAGE}_ti.dat
	cat temp$$.dat | awk '{ print $2,$1; }'						>> pdf_${LANGUAGE}_ti.dat
	echo													>> pdf_${LANGUAGE}_ti.dat
	echo													>> pdf_${LANGUAGE}_ti.dat

	echo "#x, "											> cdf_${LANGUAGE}_ti.dat
	cat temp$$.dat | ./normalise ccdf							>> cdf_${LANGUAGE}_ti.dat
	echo													>> cdf_${LANGUAGE}_ti.dat
	echo													>> cdf_${LANGUAGE}_ti.dat

	gnuplot	pdflin_${LANGUAGE}_ti.gnu
	mv	pdflin_${LANGUAGE}_ti.eps		fig_6_pdflin_${LANGUAGE}_ti.eps

	echo "Graph fig_6_pdflin_${LANGUAGE}_ti.eps is now complete."
done

rm -f temp$$.dat
