#
#	Specific gnuplot file.
#
#	Revision:	$Revision: 1.2 $
#	Date:	$Date: 2017/09/04 12:31:07 $
#-----------------------------------------------------------------------
#
set	term		postscript eps enhanced color
set	output	"generateModelPDF_combined.eps"
#
#	Note the set-show aspect of gnuplot.  If you don't show it you
#	don't see it.
#
set	xlabel	'ti' font "Times,24"
show	xlabel

set	ylabel	'Frequency of ti' font "Times,24"
show	ylabel

set	xrange	[0:XRANGE]
set	yrange	[0:YRANGE]

# set	logscale	xy
set	key	right top
show key

#set	title	"Lower and Upper Pdf of ti - full model" font	"Times,24"
#show title

set style line 1 lc 'green' lt 2 lw 2 pt 1 ps 1
set style line 2 lc 'red' lt 2 lw 2 pt 2 ps 2
set style line 3 lc 'blue' lt 2 lw 2 pt 3 ps 3

set style fill solid 0.25 noborder

plot 'generateModelPDF_combined.dat' 	index 0 using 1:2:3 notitle with filledcurves,\
	''							index 0 using 1:2 title "Pure Power-law" with lines ls 1,\
	''							index 0 using 1:3 title "CoHSI solution" with lines ls 2,\
	''							index 1 title "ai = ti" with lines ls 3

show tics

#
#	Close the file.
#
set	output
#-----------------------------------------------------------------------
