#!/bin/sh
#	Generate grid of solutions for PDFS and extract the mean
#	median and mode.
#------------------------------------------------------------
#	Remember 1/beta "is" power-law slope of ti.  So smaller beta
#	here means steeper the power-law slope.  We must reduce beta and alpha
#	together to give balanced shape.
#
#	-p normalises it to a pdf.
#
OPTP="-p -f"

echo "alpha,beta,mean,median,mode,maxa"		> gridAlphaBeta.csv

for alpha in 3 3.2 3.4 3.6 3.8 4.0 4.2 4.4 4.6 4.8 5.0
do
	for beta in 0.2 0.25 0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95
	do
#
#		Output as (ti,pi) pairs
#
		./recurN.pl  -beta $beta -alpha $alpha -timax 5000 $OPTP \
			| awk '{print $1, $3, $5; }'	\
			| ./meanMedianMode.pl -beta $beta -alpha $alpha			>> gridAlphaBeta.csv
	done
done
