#!/bin/sh
#	Generate grid of solutions for CCDFs and extract the slope.
#------------------------------------------------------------
#	-p normalises it to a pdf.
#
OPTP="-p -f"

echo "alpha,beta,slope,rsquared"		> gridAlphaBetaSlope.csv

rm -f temp$$.dat

for alpha in 3 3.2 3.4 3.6 3.8 4 4.2 4.4 4.6 4.8 5.0
do
	for beta in 0.2 0.25 0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95
	do
#
#		Output the ccdf
#
		./recurN.pl  -beta $beta -alpha $alpha -timax 5000 $OPTP \
			| awk '{print $3, $1; }'	\
			| ./normalise ccdf 									> temp$$.dat
#
#		Extract the vectors for R analysis.
#
		cat temp$$.dat | awk '{if ( $1 >= 20 && $1 <= 2000 && $2 > 0. ) print log($1);}'	> AlphaBetaSlope_x.txt
		cat temp$$.dat | awk '{if ( $1 >= 20 && $1 <= 2000 && $2 > 0. ) print log($2);}'	> AlphaBetaSlope_y.txt
#
#		To get round known race condition in Rscript.
#
		Rscript	AlphaBetaSlope.R		2>/dev/null > temp$$.dat
		slope=$(cat temp$$.dat | ./extract_slope.pl)
		rsqrd=$(cat temp$$.dat | ./extract_rsquared.pl)

		echo "$alpha,$beta,$slope,$rsqrd"							>> gridAlphaBetaSlope.csv
	done
done

rm -f temp$$.dat
