#!/bin/sh
#	Make the Trembl length distribution.
#
#-------------------------------------------------------

if test $# -ne 0
then
	echo "Usage: $0"
	exit
fi

makeLengthDistributions () {
	if test ! -f $TREMBLPAIRS
	then
		echo "File NOT found - $TREMBLPAIRS.  See 1-downloadDataSets.sh"
		exit
	fi

	echo "#x, y"											> ${VERSION}_trembl_length_distribution.dat
	cat $TREMBLPAIRS	| awk 'BEGIN{FS=","}{print $1;}' \
		| uniq -c | awk '{print $2, $1;}'						>> ${VERSION}_trembl_length_distribution.dat
	echo 												>> ${VERSION}_trembl_length_distribution.dat
}

VERSION=15-07
TREMBLPAIRS=${VERSION}_trembl_pairs.dat
makeLengthDistributions

VERSION=17-03
TREMBLPAIRS=${VERSION}_trembl_pairs.dat
makeLengthDistributions
