#!/usr/bin/perl -w

use 	strict;
use 	warnings;
use	Getopt::Long;

my	$ALPHA	= 6.0;
my	$BETA	= 3.0;

GetOptions(
	'alpha=f'		=> \$ALPHA,
	'beta=f'		=> \$BETA,
);

my	@tvalues	= ();
my	@pvalues	= ();
my	@avalues	= ();

while( my $line = <STDIN> )
{
	chomp($line);

	if ( $line ne "" )
	{
		my	($t,$p,$a)	= split( /\s+/, $line );
		push @tvalues, $t;
		push @pvalues, $p;
		push @avalues, $a;
	}
}

my	$sum		= 0.0;
my	$mean	= 0.0;
my	$median	= 0.0;
my	$mode	= 0.0;
my	$maxp	= 0.0;
my	$maxa	= 0;
my	$count	= 0;

for( my $i = 0; $i <= $#tvalues; ++$i )
{
	++$count;

	$sum		+= $pvalues[$i];

	if ( $sum	< 0.5 )				{ $median	= $tvalues[$i]; }

	$mean	+= $pvalues[$i] * $tvalues[$i];	

	if ( $pvalues[$i]	> $maxp )		{ $maxp	= $pvalues[$i]; $mode = $tvalues[$i]; }
	if ( $avalues[$i]	> $maxa )		{ $maxa	= $avalues[$i]; }
}
#
#	For now just print the max probability of ai.  It can be normalised by A.
#
printf "%.2f,%.2f,%.2f,%.2f,%.2f,%.2f\n", $ALPHA, $BETA, $mean, $median, $mode, $maxp;
